import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/terminalInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/terminalInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/terminalInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/terminalInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/terminalInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/terminalInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/terminalInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function query(formData) {
  return request.post(constant.serverUrl + "/base/terminalInfo/query", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,query
}